[**@lancedb/lancedb**](../README.md) • **Docs**

***

[@lancedb/lancedb](../globals.md) / AddDataOptions

# Interface: AddDataOptions

Options for adding data to a table.

## Properties

### mode

```ts
mode: "append" | "overwrite";
```

If "append" (the default) then the new data will be added to the table

If "overwrite" then the new data will replace the existing data in the table.
